edu.isi.pegasus.planner.classes

## Class Data

- java.lang.Object
- - edu.isi.pegasus.planner.classes.Data

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ADag, AuthenticateRequest, DagInfo, GraphNode, Job, NameValue, Notifications, Partition, PCRelation, PegasusFile, PlannerCache, PlannerMetrics, PlannerOptions, Profile, ReplicaLocation, ReplicaStore, WorkflowMetrics

    public abstract class Data
    extends java.lang.Object
    implements java.lang.Cloneable

This is the container for all the Data classes.

Version:
  $Revision$
Author:
  Karan Vahi, Gaurang Mehta

### Field Summary

Fields
`LogManager` `mLogger` The LogManager object which is used to log all the messages.
`java.lang.String` `mLogMsg` The String which stores the message to be stored.

### Constructor Summary

Constructors
Constructor and Description
`Data()` The default constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `setToString(java.util.Set s, java.lang.String delim)` A small helper method that displays the contents of a Set in a String.
`abstract java.lang.String` `toString()` Returns the String version of the data object, which is in human readable form.
`java.lang.String` `vectorToString(java.lang.String heading, java.util.Vector vector)` It converts the contents of the Vector to a String and returns it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLogger

    public transient LogManager mLogger

The LogManager object which is used to log all the messages.

#### mLogMsg

    public transient java.lang.String mLogMsg

The String which stores the message to be stored.

### Constructor Detail

#### Data

    public Data()

The default constructor.

### Method Detail

#### toString

    public abstract java.lang.String toString()

Returns the String version of the data object, which is in human readable form.

Overrides:
  `toString` in class `java.lang.Object`

#### vectorToString

    public java.lang.String vectorToString(java.lang.String heading,
                                           java.util.Vector vector)

It converts the contents of the Vector to a String and returns it. For this to work , all the objects making up the vector should be having a valid toString() method.

Parameters:
  `heading` - The heading you want to give to the text which is printed
  `vector` - The `Vector` whose elements you want to print

#### setToString

    public java.lang.String setToString(java.util.Set s,
                                        java.lang.String delim)

A small helper method that displays the contents of a Set in a String.

Parameters:
  `delim` - The delimited between the members of the set.
Returns:
  String